by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Aug 06 09:51
    novayadi85 commented #6270
  • Aug 06 09:43
    novayadi85 commented #6270
  • Aug 05 17:13
    kieckhafer synchronize #6275
  • Aug 05 17:13

    kieckhafer on release-next-v3.9.0

    chore: update plugins Signed-o… (compare)

  • Aug 05 08:39
    balibebas closed #6271
  • Aug 05 08:39
    balibebas commented #6271
  • Aug 04 22:43
    kieckhafer review_requested #6275
  • Aug 04 22:43
    kieckhafer review_requested #6275
  • Aug 04 22:42
    kieckhafer opened #6275
  • Aug 04 22:42

    kieckhafer on release-next-v3.9.0

    release v3.9.0 Signed-off-by: … (compare)

  • Aug 04 20:02
    kieckhafer synchronize #6271
  • Aug 04 20:01
    kieckhafer commented #6271
  • Aug 04 20:01
    kieckhafer commented #6271
  • Aug 04 19:57

    kieckhafer on chore-kieckhafer-updateAuthPluginVersion

    (compare)

  • Aug 04 19:57

    kieckhafer on trunk

    chore: update simple authorizti… Merge pull request #6274 from r… (compare)

  • Aug 04 19:57
    kieckhafer closed #6274
  • Aug 04 19:35
    rosshadden commented #6271
  • Aug 04 19:34
    rosshadden commented #6271
  • Aug 04 19:33
    rosshadden commented #6271
  • Aug 04 19:23
    kieckhafer commented #6271
Sebastian Franco
@jhonsfran1165
Hello everybody, I'm working in a new npm package locally, I'm follow this doc https://docs.reactioncommerce.com/docs/devs-update-custom-plugin#how-to-link-in-a-local-npm-package-for-a-plugin-while-working-on-it about how to work on npm package locally but when I start the API the dependencies in node_modules directory of my package is missing and the API can't start because it doesn't find dependencies of that package. Before start the API I run npm install in my package directory. Any suggestion?
Erik Kieckhafer
@kieckhafer
@jhonsfran1165 have you run npm link in the package you are trying to link, and then `npm link {package-name} inside the API first? do that, then npm install, then try again
incapsulatesshamala
@incapsulatesshamala
@HarisSpahijaPon yes, this is done...i am still not able to open reaction-identity app and create a product in reaction-admin
Erik Kieckhafer
@kieckhafer
go to localhost:3000/graphql and run the query {primaryShopId}
incapsulatesshamala
@incapsulatesshamala
yes, i got this
{
  "data": {
    "primaryShopId": "cmVhY3Rpb24vc2hvcDpjbnJyTW5yd2RjN2ZDRlR1Zw=="
  }
}
Erik Kieckhafer
@kieckhafer
ok, good to know you have a shop. is this a new 3.0 shop, or are you tryign to use 2.x data? we have migrations which must be run to get the correct user permissions if it's an older shop
incapsulatesshamala
@incapsulatesshamala
i am using brand new codebase of 3.0

This is my identity app

alt

incapsulatesshamala
@incapsulatesshamala

This is my hydra

alt

This is my admin, the spinner keeps rotating indefinetly when i try to create a product

alt

Above 3 are my issues, API and storefront are working fine
Erik Kieckhafer
@kieckhafer
i don't think you'd expect to see anything for hydra or identity if you're already logged in, i'm less concerned with that
nothing int he console or server logs aside from the access denied?
incapsulatesshamala
@incapsulatesshamala
yeah, no console issues and server logs
incapsulatesshamala
@incapsulatesshamala

I just completed installing "reaction-development-platform" in my friends laptop, same problem. looks like these is an issue in version 3

can anyone help me? i am struck badly :(

lk
@khoathanglong
I got the same issues using reaction development platform. Cannot change anything in "Shop Localization" due to access-denied (this expected to display for the user though). Same bug when creating product as above.
image.png
Erik Kieckhafer
@kieckhafer
if you continue to see this issue, can you please create a ticket in the reaction-admin repo for us to investigate?
as many logs (server and console) that you can provice would be helpful, as long as whatever actions you do to lead up to this
Erik Kieckhafer
@kieckhafer
also please keep in mind that our Reaction Admin is in beta. While we do try to keep it up to date with the latest API features, it's not always going to work 100%. If you're not able to complete this mutations and queires directly via the GraphQL API, then it's a separate API issue which we'd generally tackle more quickly than an issue solely in Reaction Admin
lk
@khoathanglong
@kieckhafer does reaction admin current depend on meteor? If true, do you have a plan to remake it to get rid of meteor? I would love to contribute to if you plan to make new version of reacction-admin
HarisSpahijaPon
@HarisSpahijaPon
Does anyone know a way to modify the addressToString function from component library?
So far the only solution I found is to pull all component that make use of the function and give it another import reference
erisvulgaris
@erisvulgaris
image.png
getting this error
at the beging
*begining
HarisSpahijaPon
@HarisSpahijaPon
You need to use docker to run reaction
erisvulgaris
@erisvulgaris
ok
HarisSpahijaPon
@HarisSpahijaPon
docker-compose up --build
erisvulgaris
@erisvulgaris
thanks for the help
HarisSpahijaPon
@HarisSpahijaPon
windows might be tricky
Vladimir Puz
@redscare
i have the same issues with 3.x update failed: Access denied. No allow validators set on restricted collection for method 'update'. git@github.com:/reactioncommerce/reaction-admin.git,reaction-admin,v3.0.0-beta.5
running on windows
Fakhriddin
@softerboy
Hi everyone. I installed reaction platform using reaction-development-platform. I have all done and works well, but I can't to login admin dashboard. So my question is what's the default email and password of admin user or how can I create new? I tried admin@localhost and r3@cti0n
Vladimir Puz
@redscare
@softerboy just register a new user on http://localhost:4080/
Fakhriddin
@softerboy
@redscare Thanks bro. En error occurs during registration. Error message: "The+request+is+missing+a+required+parameter,+includes+an+invalid+parameter+value,+includes+a+parameter+more+than+once,+or+is+otherwise+malformed"
IvanovRoman
@IvanovRoman
I am use Cygwin in Windows 10. How solve the problem of "ERROR: .UnicodeDecodeError: 'utf-8' codec can't decode byte 0xff in position 10:
invalid start byte
make: * [Makefile:209: build-reaction] Error 1
"
Vladimir Puz
@redscare
@IvanovRoman probably that's because of line endings.. re-save script files with windows line endings, and that should solve it
IvanovRoman
@IvanovRoman
@redscare I saved file with windows line endings. Error did not disappear.
Vladimir Puz
@redscare
@IvanovRoman not makefile itself... on line 209 it includes template from subproject..
Dmitry Motyl
@nectar1

Hi guys
Could you please explain purpose of this methods ?
make stop-<project-name>
make dev-link-<project-name>
make <start-project-name>

How I can use them ?

Dmitry Motyl
@nectar1
thanks but that doesn't describe usage flow
How I can debug it via VS Code for example
?
@HarisSpahijaPon
Loan Laux
@loan-laux
@nectar1 You’d have to do make dev-link-reaction to use the docker-compose.dev.yml file instead of the production-like one. Then, make sure to stop the reaction_api container by running make stop-reaction. And finally, go into your reaction directory and start the API like this to enable the debugger: docker-compose run --rm --service-ports reaction yarn run inspect --service-ports.
samkonix
@samkonix

Hi, I'm noob here, I trying to install reaction for testing but have an error :

Starting reaction-hydra_postgres_1 ... error                                                                                                                                                                                                                                    
ERROR: for reaction-hydra_postgres_1  Cannot start service postgres: AppArmor enabled on system but the docker-default profile could not be loaded: running `/usr/sbin/apparmor_parser apparmor_parser -Kr /var/lib/docker/tmp/docker-default214847281` failed with output: AppArmor parser error for /var/lib/docker/tmp/docker-default214847281 in /etc/apparmor.d/tunables/global at line 17: Could not open 'tunables/proc'

error: exit status 1

ERROR: for postgres  Cannot start service postgres: AppArmor enabled on system but the docker-default profile could not be loaded: running `/usr/sbin/apparmor_parser apparmor_parser -Kr /var/lib/docker/tmp/docker-default214847281` failed with output: AppArmor parser error for /var/lib/docker/tmp/docker-default214847281 in /etc/apparmor.d/tunables/global at line 17: Could not open 'tunables/proc'

I have node v12.16 and docker v19. Any idea what's going on?